# Настройка

::: warning
В настоящее время мы поддерживаем изменение макета только через CSS. Вы можете настраивать файлы и шаблоны HTML, но они **будут** перезаписаны во время обновлений, поэтому не забудьте [настроить хуки](#running-commands-before-and-after-updates), чтобы восстановить изменения после обновления.
:::

## Добавление новой темы

Создайте новую тему в `/usr/local/hestia/web/css/theme/custom/my_theme.css`

```css
.body-login,
.body-reset {
height: auto;
padding-top: 10%;
background: rgb(231, 102, 194) !important;
background: radiatle-gradient(circle, rgba(231, 102, 197, 1), rgba(174, 43, 177, 1)) !important;
}
```

## Настройка темы по умолчанию

Изменения тем по умолчанию всегда перезаписываются во время обновлений. Пользовательские файлы CSS можно загрузить в `/usr/local/hestia/web/css/custom` в формате `.css` или `.min.css`.

Обратите внимание, что базовая тема `default.css` всегда загружается. Другие темы по умолчанию и пользовательские темы переопределяют правила в этом файле.

## Настройка страницы _Домен не найден_

Страница _Домен не найден_ находится в `/var/www/html/index.html`. Вы можете отредактировать его с помощью следующей команды:

```bash
nano /var/www/html/index.html
```

## Настройка структуры скелета домена по умолчанию

Структура по умолчанию, которая будет добавлена ​​к домену при его создании, находится в `/usr/local/hestia/data/templates/web/skel/public_html`.

## Выполнение команд до и после обновлений

С выпуском Hestia 1.4.6 мы добавили предустановочные и послеустановочные хуки. Например, вы можете использовать хуки для:

- Отключения и включения демонстрационного режима до и после обновления.
- Восстановления настроенной страницы скелета.

Хуки находятся в одном из следующих файлов:

- `/etc/hestiacp/hooks/pre_install.sh`
- `/etc/hestiacp/hooks/post_install.sh`

::: tip
Не забудьте сделать файл исполняемым, выполнив `chmod +x /etc/hestiacp/hooks/[file].sh`.
:::

Например, чтобы отключить демонстрационный режим при предварительной установке:

```bash /etc/hestiacp/hooks/pre_install.sh
#!/bin/bash
sed -i "s|^DEMO_MODE=.*'|DEMO_MODE='no'|g" $HESTIA/conf/hestia.conf
```

::: warning
Если вы используете пользовательские документы ошибок, вам придется пересобрать все веб-сайты заново!
:::