package { 'passenger':
  ensure   => installed,
  name     => 'passenger',
  provider => 'dnf',
}
-> package { 'nginx-passenger':
  ensure   => installed,
  name     => 'nginx-mod-http-passenger',
  provider => 'dnf',
}
-> file { 'passenger.conf':
  ensure  => file,
  path    => '/etc/nginx/conf.d/passenger.conf',
  content => 'passenger_root /usr/share/ruby/vendor_ruby/phusion_passenger/locations.ini;
passenger_ruby /usr/bin/ruby;
passenger_instance_registry_dir /var/run/passenger-instreg;
passenger_user_switching on;',
}
-> file { 'passenger_includer.conf':
  ensure  => file,
  content => 'load_module modules/ngx_http_passenger_module.so;',
  path    => '/etc/nginx/conf.d/main/passenger.conf',
}
~> service { 'nginx_service':
  ensure     => running,
  name       => 'nginx',
  provider   => 'systemd',
  hasrestart => true,
}
